LIBA_TARGET 		:= libiot_kcloud.a

$(call Append_Conditional, LIB_SRCS_EXCLUDE, kcloud_main.c)
$(call Append_Conditional, SRCS_kk_cloud, kcloud_main.c)
$(call Append_Conditional, TARGET, kk_cloud)

CFLAGS 			+= -I$(TOP_DIR)/common/api
CFLAGS 			+= -I$(TOP_DIR)/common/json
CFLAGS 			+= -I$(TOP_DIR)/common/nanomsg/include
CFLAGS 			+= -I$(TOP_DIR)/common/ev/include
CFLAGS 			+= -I$(TOP_DIR)/common/curl/include
LDFLAGS         += -lkk_tsl 
LDFLAGS         += -lapi_com
ifeq ($(CONFIG_MODEL),x86)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_ubuntu
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev_ubuntu  
else ifeq ($(CONFIG_MODEL),nx5)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_nx5 -lcurl
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev_nx5  
else ifeq ($(CONFIG_MODEL),8197)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_8197 -lubacktrace
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev_8197  	
else ifeq ($(CONFIG_MODEL),a133)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_a133 
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev_a133	
	LDFLAGS         += -L$(TOP_DIR)/common/curl  -lcurl_a133
else
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev	
endif
LDFLAGS         += -liot_cjson -liot_mqtt -ldl -lm -lkk_hal



